Index: /utils/CI/sette_ticket2304/sette_reference-configurations.sh
===================================================================
--- /utils/CI/sette_ticket2304/sette_reference-configurations.sh	(revision 12444)
+++ /utils/CI/sette_ticket2304/sette_reference-configurations.sh	(revision 12445)
@@ -186,5 +186,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -213,5 +212,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -256,5 +254,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -285,5 +282,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -331,5 +327,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -348,12 +343,8 @@
     set_namelist namelist_ice_cfg ln_icediachk .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
+    set_namelist namelist_top_cfg ln_trcbc  .false.
+    # put ln_ironsed, ln_hydrofe to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces_cfg ln_presatm .false.
     set_namelist namelist_pisces_cfg ln_varpar .false.
-    set_namelist namelist_pisces_cfg ln_dust .false.
-    set_namelist namelist_pisces_cfg ln_solub .false.
-    set_namelist namelist_pisces_cfg ln_river .false.
-    set_namelist namelist_pisces_cfg ln_ndepo .false.
     set_namelist namelist_pisces_cfg ln_ironsed .false.
     set_namelist namelist_pisces_cfg ln_ironice .false.
@@ -383,5 +374,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -404,13 +394,8 @@
     set_namelist namelist_top_cfg cn_trcrst_in \"O2L3P_LONG_00000496_restart_trc\"
     set_namelist namelist_ice_cfg cn_icerst_in \"O2L3P_LONG_00000496_restart_ice\"
-    set_namelist namelist_top_cfg ln_trcdta .false.
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust
+    set_namelist namelist_top_cfg ln_trcbc  .false.
+    # put ln_ironsed, ln_hydrofe to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces_cfg ln_presatm .false.
     set_namelist namelist_pisces_cfg ln_varpar .false.
-    set_namelist namelist_pisces_cfg ln_dust .false.
-    set_namelist namelist_pisces_cfg ln_solub .false.
-    set_namelist namelist_pisces_cfg ln_river .false.
-    set_namelist namelist_pisces_cfg ln_ndepo .false.
     set_namelist namelist_pisces_cfg ln_ironsed .false.
     set_namelist namelist_pisces_cfg ln_ironice .false.
@@ -457,5 +442,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -472,12 +456,8 @@
 
     set_namelist namelist_top_cfg ln_trcdta .false.
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
+    set_namelist namelist_top_cfg ln_trcbc  .false.
+    # put ln_ironsed, ln_hydrofe to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces_cfg ln_presatm .false.
     set_namelist namelist_pisces_cfg ln_varpar .false.
-    set_namelist namelist_pisces_cfg ln_dust .false.
-    set_namelist namelist_pisces_cfg ln_solub .false.
-    set_namelist namelist_pisces_cfg ln_river .false.
-    set_namelist namelist_pisces_cfg ln_ndepo .false.
     set_namelist namelist_pisces_cfg ln_ironsed .false.
     set_namelist namelist_pisces_cfg ln_ironice .false.
@@ -509,5 +489,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -524,12 +503,8 @@
 
     set_namelist namelist_top_cfg ln_trcdta .false.
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
+    set_namelist namelist_top_cfg ln_trcbc  .false.
+    # put ln_ironsed, ln_hydrofe to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces_cfg ln_presatm .false.
     set_namelist namelist_pisces_cfg ln_varpar .false.
-    set_namelist namelist_pisces_cfg ln_dust .false.
-    set_namelist namelist_pisces_cfg ln_solub .false.
-    set_namelist namelist_pisces_cfg ln_river .false.
-    set_namelist namelist_pisces_cfg ln_ndepo .false.
     set_namelist namelist_pisces_cfg ln_ironsed .false.
     set_namelist namelist_pisces_cfg ln_ironice .false.
@@ -578,5 +553,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -584,12 +558,8 @@
     set_namelist namelist_cfg ln_qsr_rgb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
+    set_namelist namelist_top_cfg ln_trcbc  .false.
+    # put ln_ironsed, ln_hydrofe to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces_cfg ln_presatm .false.
     set_namelist namelist_pisces_cfg ln_varpar .false.
-    set_namelist namelist_pisces_cfg ln_dust .false.
-    set_namelist namelist_pisces_cfg ln_solub .false.
-    set_namelist namelist_pisces_cfg ln_river .false.
-    set_namelist namelist_pisces_cfg ln_ndepo .false.
     set_namelist namelist_pisces_cfg ln_ironsed .false.
     set_namelist namelist_pisces_cfg ln_ironice .false.
@@ -617,5 +587,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -630,12 +599,8 @@
         ln -sf ../LONG/OFFP_LONG_00000190_restart_trc_${L_NPROC}.nc .
     done
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust
+    set_namelist namelist_top_cfg ln_trcbc  .false.
+    # put ln_ironsed, ln_hydrofe to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces_cfg ln_presatm .false.
     set_namelist namelist_pisces_cfg ln_varpar .false.
-    set_namelist namelist_pisces_cfg ln_dust .false.
-    set_namelist namelist_pisces_cfg ln_solub .false.
-    set_namelist namelist_pisces_cfg ln_river .false.
-    set_namelist namelist_pisces_cfg ln_ndepo .false.
     set_namelist namelist_pisces_cfg ln_ironsed .false.
     set_namelist namelist_pisces_cfg ln_ironice .false.
@@ -671,5 +636,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -677,12 +641,8 @@
     set_namelist namelist_cfg ln_qsr_rgb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
+    set_namelist namelist_top_cfg ln_trcbc  .false.
+    # put ln_ironsed, ln_hydrofe to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces_cfg ln_presatm .false.
     set_namelist namelist_pisces_cfg ln_varpar .false.
-    set_namelist namelist_pisces_cfg ln_dust .false.
-    set_namelist namelist_pisces_cfg ln_solub .false.
-    set_namelist namelist_pisces_cfg ln_river .false.
-    set_namelist namelist_pisces_cfg ln_ndepo .false.
     set_namelist namelist_pisces_cfg ln_ironsed .false.
     set_namelist namelist_pisces_cfg ln_ironice .false.
@@ -714,5 +674,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -720,12 +679,8 @@
     set_namelist namelist_cfg ln_qsr_rgb .true.
     set_namelist namelist_top_cfg ln_trcdta .false.
-    # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
+    set_namelist namelist_top_cfg ln_trcbc  .false.
+    # put ln_ironsed, ln_hydrofe to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces_cfg ln_presatm .false.
     set_namelist namelist_pisces_cfg ln_varpar .false.
-    set_namelist namelist_pisces_cfg ln_dust .false.
-    set_namelist namelist_pisces_cfg ln_solub .false.
-    set_namelist namelist_pisces_cfg ln_river .false.
-    set_namelist namelist_pisces_cfg ln_ndepo .false.
     set_namelist namelist_pisces_cfg ln_ironsed .false.
     set_namelist namelist_pisces_cfg ln_ironice .false.
@@ -774,5 +729,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -796,5 +750,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -836,5 +789,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -862,5 +814,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -907,5 +858,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -930,5 +880,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -972,5 +921,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -999,5 +947,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1047,5 +994,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1065,12 +1011,8 @@
     #remove all useless options for pisces (due to ORCA2_ICE_PISCES reference configuration)
     set_namelist namelist_top_cfg ln_trcdta .false. 
+    set_namelist namelist_top_cfg ln_trcbc  .false. 
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces_cfg ln_presatm .false.
     set_namelist namelist_pisces_cfg ln_varpar .false.
-    set_namelist namelist_pisces_cfg ln_dust .false.
-    set_namelist namelist_pisces_cfg ln_solub .false.
-    set_namelist namelist_pisces_cfg ln_river .false.
-    set_namelist namelist_pisces_cfg ln_ndepo .false.
     set_namelist namelist_pisces_cfg ln_ironsed .false.
     set_namelist namelist_pisces_cfg ln_ironice .false.
@@ -1101,5 +1043,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1119,12 +1060,8 @@
     #remove all useless options for pisces (due to ORCA2_ICE_PISCES reference configuration)
     set_namelist namelist_top_cfg ln_trcdta .false.
+    set_namelist namelist_top_cfg ln_trcbc  .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces_cfg ln_presatm .false.
     set_namelist namelist_pisces_cfg ln_varpar .false.
-    set_namelist namelist_pisces_cfg ln_dust .false.
-    set_namelist namelist_pisces_cfg ln_solub .false.
-    set_namelist namelist_pisces_cfg ln_river .false.
-    set_namelist namelist_pisces_cfg ln_ndepo .false.
     set_namelist namelist_pisces_cfg ln_ironsed .false.
     set_namelist namelist_pisces_cfg ln_ironice .false.
@@ -1169,5 +1106,4 @@
     set_namelist namelist_cfg nn_itend 20
     set_namelist namelist_cfg nn_stock 10
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1176,5 +1112,4 @@
     set_namelist 1_namelist_cfg nn_itend 20
     set_namelist 1_namelist_cfg nn_stock 10
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1183,5 +1118,4 @@
     set_namelist 2_namelist_cfg nn_itend 80
     set_namelist 2_namelist_cfg nn_stock 40
-    set_namelist 2_namelist_cfg ln_ctl .false.
     set_namelist 2_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1190,5 +1124,4 @@
     set_namelist 3_namelist_cfg nn_itend 240
     set_namelist 3_namelist_cfg nn_stock 120
-    set_namelist 3_namelist_cfg ln_ctl .false.
     set_namelist 3_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1212,5 +1145,4 @@
     set_namelist namelist_cfg nn_itend 20
     set_namelist namelist_cfg nn_stock 10
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1221,5 +1153,4 @@
     set_namelist 1_namelist_cfg nn_itend 20
     set_namelist 1_namelist_cfg nn_stock 10
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1230,5 +1161,4 @@
     set_namelist 2_namelist_cfg nn_itend 80
     set_namelist 2_namelist_cfg nn_stock 40
-    set_namelist 2_namelist_cfg ln_ctl .false.
     set_namelist 2_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1239,5 +1169,4 @@
     set_namelist 3_namelist_cfg nn_itend 240
     set_namelist 3_namelist_cfg nn_stock 120
-    set_namelist 3_namelist_cfg ln_ctl .false.
     set_namelist 3_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1293,5 +1222,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1301,5 +1229,4 @@
     set_namelist 1_namelist_cfg jpni 2
     set_namelist 1_namelist_cfg jpnj 8
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1309,5 +1236,4 @@
     set_namelist 2_namelist_cfg jpni 2
     set_namelist 2_namelist_cfg jpnj 8
-    set_namelist 2_namelist_cfg ln_ctl .false.
     set_namelist 2_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1317,5 +1243,4 @@
     set_namelist 3_namelist_cfg jpni 2
     set_namelist 3_namelist_cfg jpnj 8
-    set_namelist 3_namelist_cfg ln_ctl .false.
     set_namelist 3_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1345,5 +1270,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1353,5 +1277,4 @@
     set_namelist 1_namelist_cfg jpni 4
     set_namelist 1_namelist_cfg jpnj 4
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1361,13 +1284,11 @@
     set_namelist 2_namelist_cfg jpni 4
     set_namelist 2_namelist_cfg jpnj 4
-    set_namelist 2_namelist_cfg ln_ctl .false.
     set_namelist 2_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 2_namelist_cfg sn_cfctl%l_runstat .true.
-    set_namelist 3_namelist_cfg cn_exp \"AGRIF_84\"
+    set_namelist 3_namelist_cfg cn_exp \"AGRIF_44\"
     set_namelist 3_namelist_cfg nn_it000 1
     set_namelist 3_namelist_cfg nn_itend 240
     set_namelist 3_namelist_cfg jpni 4
     set_namelist 3_namelist_cfg jpnj 4
-    set_namelist 3_namelist_cfg ln_ctl .false.
     set_namelist 3_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 3_namelist_cfg sn_cfctl%l_runstat .true.
@@ -1399,5 +1320,4 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1443,5 +1363,4 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 150
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1490,5 +1409,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1516,5 +1434,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1556,5 +1473,4 @@
     set_namelist namelist_cfg jpni 4
     set_namelist namelist_cfg jpnj 8
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -1584,5 +1500,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
Index: /utils/CI/sette_ticket2304/sette_test-cases.sh
===================================================================
--- /utils/CI/sette_ticket2304/sette_test-cases.sh	(revision 12444)
+++ /utils/CI/sette_ticket2304/sette_test-cases.sh	(revision 12445)
@@ -186,5 +186,4 @@
     set_namelist namelist_cfg nn_itend 120
     set_namelist namelist_cfg nn_stock 60
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -207,5 +206,4 @@
     set_namelist namelist_cfg nn_itend 120
     set_namelist namelist_cfg nn_stock 60
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -290,5 +288,4 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_stock 60
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -312,5 +309,4 @@
     set_namelist namelist_cfg nn_itend 120
     set_namelist namelist_cfg nn_stock 60
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -397,5 +393,4 @@
     set_namelist namelist_cfg nn_itend 240
     set_namelist namelist_cfg nn_stock 120
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -405,5 +400,4 @@
     set_namelist 1_namelist_cfg nn_itend 720
     set_namelist 1_namelist_cfg nn_stock 360
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -427,5 +421,4 @@
     set_namelist namelist_cfg nn_itend 240
     set_namelist namelist_cfg nn_stock 120
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -437,5 +430,4 @@
     set_namelist 1_namelist_cfg nn_it000 361
     set_namelist 1_namelist_cfg nn_itend 720
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -485,5 +477,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -495,5 +486,4 @@
     set_namelist 1_namelist_cfg jpni 2
     set_namelist 1_namelist_cfg jpnj 3
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -525,5 +515,4 @@
     set_namelist namelist_cfg jpni 3
     set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -535,5 +524,4 @@
     set_namelist 1_namelist_cfg jpni 3
     set_namelist 1_namelist_cfg jpnj 2
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -581,5 +569,4 @@
     set_namelist namelist_cfg nn_it000 1
     set_namelist namelist_cfg nn_itend 200
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -589,5 +576,4 @@
     set_namelist 1_namelist_cfg nn_it000 1
     set_namelist 1_namelist_cfg nn_itend 600
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -611,5 +597,4 @@
     set_namelist namelist_cfg nn_it000 101
     set_namelist namelist_cfg nn_itend 200
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -623,5 +608,4 @@
     set_namelist 1_namelist_cfg nn_it000 301
     set_namelist 1_namelist_cfg nn_itend 600
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -679,5 +663,4 @@
     set_namelist namelist_cfg jpni 2
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -689,5 +672,4 @@
     set_namelist 1_namelist_cfg jpni 2
     set_namelist 1_namelist_cfg jpnj 3
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -719,5 +701,4 @@
     set_namelist namelist_cfg jpni 3
     set_namelist namelist_cfg jpnj 2
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -729,5 +710,4 @@
     set_namelist 1_namelist_cfg jpni 3
     set_namelist 1_namelist_cfg jpnj 2
-    set_namelist 1_namelist_cfg ln_ctl .false.
     set_namelist 1_namelist_cfg sn_cfctl%l_config .true.
     set_namelist 1_namelist_cfg sn_cfctl%l_runstat .true.
@@ -777,5 +757,4 @@
     set_namelist namelist_cfg jpni 5
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -802,5 +781,4 @@
     set_namelist namelist_cfg jpni 5
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -840,5 +818,4 @@
     set_namelist namelist_cfg jpni 7
     set_namelist namelist_cfg jpnj 3
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.
@@ -867,5 +844,4 @@
     set_namelist namelist_cfg jpni 8
     set_namelist namelist_cfg jpnj 4
-    set_namelist namelist_cfg ln_ctl .false.
     set_namelist namelist_cfg sn_cfctl%l_config .true.
     set_namelist namelist_cfg sn_cfctl%l_runstat .true.